### Virtual Method

# GimpUi PatternSelectButton pattern_set

#### Declaration [src]

    void
    pattern_set (
      GimpPatternSelectButton* button,
      const gchar* pattern_name,
      gint width,
      gint height,
      gint bpp,
      const guchar* mask_data,
      gboolean dialog_closing
    )

#### Description

No description available.

#### Parameters

`pattern_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| No description available.
`height` | `gint`
| No description available.
`bpp` | `gint`
| No description available.
`mask_data` | `const guchar*`
| No description available.
| The data is owned by the caller of the function.
`dialog_closing` | `gboolean`
| No description available.